package _VisualDVM.ProjectData.SapforData.Includes.UI;
import Common.Visual.Trees.SelectableTree;
import Common.Visual.Trees.TreeRenderers;
import _VisualDVM.Current;
import _VisualDVM.Global;
import _VisualDVM.Visual.Menus.GraphMenu;
public class IncludesTree extends SelectableTree {
    public IncludesTree() {
        super(Global.mainModule.getProject().includes_root);
    }
    @Override
    public Current getCurrent() {
        return Current.IncludeGraphElement;
    }
    @Override
    public TreeRenderers getRenderer() {
        return TreeRenderers.RendererSelection;
    }
    @Override
    protected GraphMenu createMenu() {
        return new IncludesMenu(this);
    }
}
